# std::bad_any_cast

From cppreference.com
< cpp‎ | utility‎ | any

Defined in header `<any>` |  |
class bad_any_cast : public std::bad_cast ; |  | (since C++17)

Defines a type of object to be thrown by the value-returning forms of std::any_cast on failure.

## Inherited from std::exception

### Member functions

(destructor) [virtual] | destroys the exception object (virtual public member function of `std::exception`)
what [virtual] | returns an explanatory string (virtual public member function of `std::exception`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/any/bad_any_cast&oldid=105521"